Bug 720989 - Review Request: python-setuptools_hg - Setuptools plugin for finding files under Mercurial version control
Review Request: python-setuptools_hg - Setuptools plugin for finding files un...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-13 09:21 EDT by Praveen Kumar
Modified: 2015-12-03 21:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 21:45:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
metherid: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2011-07-13 09:21:06 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/setuptools-hg/python-setuptools_hg.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/setuptools-hg/python-setuptools_hg-0.2.1-1.fc15.src.rpm
Description: setuptools_hg is a plugin for setuptools that enables setuptools to find files under the Mercurial version control system.
It uses the Mercurial Python library by default and falls back to use the
command line program ``hg``. That's especially useful inside virtualenvs
that don't have access to the system wide installed Mercurial lib (e.g. when
created with ``--no-site-packages``).

koji build 
http://koji.fedoraproject.org/koji/taskinfo?taskID=3196523
Comment 1 Rahul Sundaram 2011-07-13 21:43:19 EDT
Summary should not be more than 80 characters

Make the description a single para

Remove the comment:  # For noarch packages: sitelib

Change the build requires from python-distribute to python-setuptools.  Details at https://bugzilla.redhat.com/show_bug.cgi?id=606019

Move %doc to be after %files and add the license to it
Comment 3 Rahul Sundaram 2011-07-14 01:21:53 EDT
This looks good

===   APPROVED  ===
Comment 4 Praveen Kumar 2011-07-14 02:13:10 EDT
New Package SCM Request
=======================
Package Name: python-setuptools_hg
Short Description: Setuptools plugin for finding files under Mercurial version control
Owners: kumarpraveen
Branches: f14 f15
Comment 5 Jon Ciesla 2011-07-14 19:40:52 EDT
Git done (by process-git-requests).
Comment 6 Praveen Kumar 2011-07-15 12:44:55 EDT
Build Successfully, closed now.
Comment 7 James Hogarth 2015-12-03 21:45:34 EST
This package is in rawhide but the review request bug was left open. Closing to tidy up the queue.

Note You need to log in before you can comment on or make changes to this bug.